unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, effects, StdCtrls, Spin, ExtCtrls, jpeg;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    Label3: TLabel;
    SpinEdit2: TSpinEdit;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    ef: TGraphicEffects;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
ef:=TGraphicEffects.Create(Self);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
ef.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin

ef.Image:=Image2;
ef.Inbmp.Assign(Image1.Picture.Bitmap);
ef.Effect:=TEffect(ComboBox1.ItemIndex);
ef.Depth:=SpinEdit1.Value;
ef.Luminance:=SpinEdit2.Value;
ef.Convert;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
Label2.Enabled:=(ComboBox1.ItemIndex=4);
SpinEdit1.Enabled:=(ComboBox1.ItemIndex=4);
Label3.Enabled:=(ComboBox1.ItemIndex=1);
SpinEdit2.Enabled:=(ComboBox1.ItemIndex=1);
end;

end.
